## ktextwidgets 5.50.0

=== debian/changelog ===
ktextwidgets (5.50.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.50.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 10 Sep 2018 22:15:16 +0100

ktextwidgets (5.49.0-0ubuntu1) cosmic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.48.0)
  * New upstream release (5.49.0)

  [ José Manuel Santamaría Lema ]
  * Move away from dhmk and set compat level to 11 in order to reduce
    delta with Debian

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 20:31:20 +0100

ktextwidgets (5.47.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.47.0)
  * Merge with debian, notes:
    - keep using dhmk and debhelper compat level = 9, see:
      https://phabricator.kde.org/w/kubuntu/black-operations/pyramid/

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 14 Jun 2018 15:50:32 +0100

ktextwidgets (5.46.0-1) unstable; urgency=medium

  * Partially revert "drop unused autopkgtest stuff"
  * Document the acc test
  * New upstream release (5.46.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.46)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 May 2018 22:15:33 +0200

ktextwidgets (5.46.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.45.0)
  * New upstream release (5.46.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 15:57:41 +0100

ktextwidgets (5.45.0-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.1.4, no changes required.
  * Add the libqt5texttospeech5-dev build dependency, to enable the
    text-to-speech functionality.
  * Use https for Format in copyright.
  * Run the test suite during the build:
    - add the dbus-x11, xauth, and xvfb build dependencies
    - run xvfb-run with the proper arguments
  * Remove the unused, and now no more useful autopkgtest stuff.

 -- Pino Toscano <pino@debian.org>  Sun, 13 May 2018 08:11:42 +0200

ktextwidgets (5.45.0-1) unstable; urgency=medium

  * New upstream release (5.45.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.45)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 May 2018 08:10:56 +0200

ktextwidgets (5.44.0-1) sid; urgency=medium

  * New upstream release (5.44.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.44)
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Wed, 21 Mar 2018 14:41:17 +0100

ktextwidgets (5.43.0-1) experimental; urgency=medium

  * Use the salsa canonical urls
  * New upstream release (5.43.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.43)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 Feb 2018 11:44:06 +0100

ktextwidgets (5.42.0-2) sid; urgency=medium

  * New revision
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sat, 10 Feb 2018 11:29:12 +0100

ktextwidgets (5.42.0-1) experimental; urgency=medium

  * New upstream release (5.42.0).
  * Add link options as-needed
  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.42)
  * Bump Standards-Version to 4.1.3.
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 02 Feb 2018 12:05:53 +0100

ktextwidgets (5.41.0-1) experimental; urgency=medium

  * New upstream release (5.38.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.41.0).
  * Bump Standards-Version to 4.1.2.
  * Update build-deps and deps with the info from cmake
  * Update symbols files
  * Bump group breaks (5.41)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Dec 2017 10:43:07 -0300

ktextwidgets (5.37.0-2) sid; urgency=medium

  * New revision
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 03 Sep 2017 09:58:51 +0200

ktextwidgets (5.37.0-1) experimental; urgency=medium

  * New upstream release (5.37.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.37)
  * Add a libkf5textwidgets-doc package for the qch files
  * Bump Standards-Version to 4.0.1.
  * Set section for the doc package
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 16 Aug 2017 10:43:19 +0200

ktextwidgets (5.36.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.35.0).
  * Bump Standards-Version to 4.0.0.
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.35)
  * watch: Use https uris
  * New upstream release (5.36.0).
  * Bump group breaks (5.36)
  * Update build-deps and deps with the info from cmake

  [ Raymond Wooninck ]
  * Add signing key
  * also include signing-key

  [ Harald Sitter ]
  * acc c++11. now used more liberally

 -- Maximiliano Curia <maxy@debian.org>  Sun, 09 Jul 2017 23:42:13 +0200

=== debian/control ===
Source: ktextwidgets
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.50.0~),
               graphviz,
               libkf5completion-dev (>= 5.50.0~),
               libkf5config-dev (>= 5.50.0~),
               libkf5configwidgets-dev (>= 5.50.0~),
               libkf5i18n-dev (>= 5.50.0~),
               libkf5iconthemes-dev (>= 5.50.0~),
               libkf5itemviews-dev (>= 5.50.0~),
               libkf5service-dev (>= 5.50.0~),
               libkf5sonnet-dev (>= 5.50.0~),
               libkf5widgetsaddons-dev (>= 5.50.0~),
               libkf5windowsystem-dev (>= 5.50.0~),
               libqt5sql5-sqlite,
               libqt5texttospeech5-dev,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
               qttools5-dev-tools (>= 5.4),
               xauth,
               xvfb,
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/ktextwidgets
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktextwidgets
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktextwidgets

Package: libkf5textwidgets-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libkf5textwidgets5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa1)
Replaces: libkf5textwidgets5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa1)
Description: Advanced text editing widgets.
 An assortment of text-related widgets
 .
 This package contains the data files.

Package: libkf5textwidgets-dev
Architecture: any
Section: libdevel
Depends: libkf5completion-dev (>= 5.50.0~),
         libkf5configwidgets-dev (>= 5.50.0~),
         libkf5iconthemes-dev (>= 5.50.0~),
         libkf5service-dev (>= 5.50.0~),
         libkf5sonnet-dev (>= 5.50.0~),
         libkf5textwidgets5 (= ${binary:Version}),
         libkf5windowsystem-dev (>= 5.50.0~),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends},
Recommends: libkf5textwidgets-doc (= ${source:Version})
Description: development files for ktextwidgets
 An assortment of text-related widgets.
 .
 Contains development files for ktextwidgets.

Package: libkf5textwidgets-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Advanced text editing widgets (documentation)
 An assortment of text-related widgets
 .
 This package contains the qch documentation files.

Package: libkf5textwidgets5
Architecture: any
Multi-Arch: same
Depends: libkf5textwidgets-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Advanced text editing widgets.
 An assortment of text-related widgets

## ktextwidgets 5.54.0

=== debian/changelog ===
ktextwidgets (5.54.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 14:09:55 +0800

ktextwidgets (5.54.0-1) unstable; urgency=medium

  * New upstream release (5.52.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.53.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.54.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.54)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 Jan 2019 19:27:21 -0300

ktextwidgets (5.51.0-1) unstable; urgency=medium

  * New upstream release (5.50.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.50)
  * New upstream release (5.51.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.51)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 07 Nov 2018 17:17:20 +0100

ktextwidgets (5.49.0-1) unstable; urgency=medium

  * New upstream release (5.48.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.49.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.49)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 17 Aug 2018 16:19:00 +0200

ktextwidgets (5.47.0-1) unstable; urgency=medium

  * New upstream release (5.47.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.47)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Jun 2018 12:10:25 +0200

=== debian/control ===
Source: ktextwidgets
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.54.0~),
               graphviz,
               libkf5completion-dev (>= 5.54.0~),
               libkf5config-dev (>= 5.54.0~),
               libkf5configwidgets-dev (>= 5.54.0~),
               libkf5i18n-dev (>= 5.54.0~),
               libkf5iconthemes-dev (>= 5.54.0~),
               libkf5itemviews-dev (>= 5.7.0),
               libkf5service-dev (>= 5.54.0~),
               libkf5sonnet-dev (>= 5.54.0~),
               libkf5widgetsaddons-dev (>= 5.54.0~),
               libkf5windowsystem-dev (>= 5.54.0~),
               libqt5sql5-sqlite,
               libqt5texttospeech5-dev,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.9.0~),
               qttools5-dev-tools (>= 5.4),
               xauth,
               xvfb,
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/ktextwidgets
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktextwidgets
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktextwidgets.git

Package: libkf5textwidgets-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libkf5textwidgets5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa1)
Replaces: libkf5textwidgets5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa1)
Description: Advanced text editing widgets.
 An assortment of text-related widgets
 .
 This package contains the data files.

Package: libkf5textwidgets-dev
Section: libdevel
Architecture: any
Depends: libkf5completion-dev (>= 5.54.0~),
         libkf5configwidgets-dev (>= 5.54.0~),
         libkf5iconthemes-dev (>= 5.54.0~),
         libkf5service-dev (>= 5.54.0~),
         libkf5sonnet-dev (>= 5.54.0~),
         libkf5textwidgets5 (= ${binary:Version}),
         libkf5windowsystem-dev (>= 5.54.0~),
         qtbase5-dev (>= 5.9.0~),
         ${misc:Depends},
Recommends: libkf5textwidgets-doc (= ${source:Version})
Description: development files for ktextwidgets
 An assortment of text-related widgets.
 .
 Contains development files for ktextwidgets.
Breaks: libkf5kdelibs4support-dev (<< 5.54),
        libkf5parts-dev (<< 5.54),
        libkf5xmlgui-dev (<< 5.54),

Package: libkf5textwidgets-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Advanced text editing widgets (documentation)
 An assortment of text-related widgets
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5textwidgets5
Architecture: any
Multi-Arch: same
Depends: libkf5textwidgets-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Advanced text editing widgets.
 An assortment of text-related widgets
Breaks: kdesignerplugin (<< 5.54),
        kio (<< 5.54),
        kross (<< 5.42),
        ktexteditor-katepart (<< 5.42),
        libkf5kdelibs4support5 (<< 5.54),
        libkf5kdelibs4support5-bin (<< 5.42),
        libkf5khtml-bin (<< 5.42),
        libkf5khtml5 (<< 5.54),
        libkf5krossui5 (<< 5.42),
        libkf5mediaplayer5 (<< 5.42),
        libkf5newstuff5 (<< 5.54),
        libkf5parts-plugins (<< 5.42),
        libkf5parts5 (<< 5.42),
        libkf5texteditor5 (<< 5.54),
        libkf5webkit5 (<< 5.42),
        libkf5xmlgui5 (<< 5.54),

## ktextwidgets 5.54.0%2Brebuild

=== debian/changelog ===
ktextwidgets (5.54.0+rebuild-1+eagle) unstable; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 20 Jan 2021 12:57:45 +0800

## ktextwidgets 5.54.0+rebuild

=== debian/control ===
--- 
+++ 
@@ -25,6 +25,7 @@
                qttools5-dev-tools (>= 5.4),
                xauth,
                xvfb,
+               qtspeech5-speechd-plugin
 Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/frameworks/ktextwidgets
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktextwidgets

## ktextwidgets 5.56.0

=== debian/changelog ===
ktextwidgets (5.56.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.56.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 09 Mar 2019 16:37:30 +0000

ktextwidgets (5.55.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.55.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Feb 2019 08:32:55 +0000

ktextwidgets (5.54.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.54.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 13 Jan 2019 12:36:19 +0000

ktextwidgets (5.53.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.53.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 09 Dec 2018 20:49:54 +0000

ktextwidgets (5.52.0-0ubuntu1) disco; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.51.0)

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.52.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 22 Nov 2018 14:43:17 +0000

=== debian/control ===
Source: ktextwidgets
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.56.0~),
               graphviz,
               libkf5completion-dev (>= 5.56.0~),
               libkf5config-dev (>= 5.56.0~),
               libkf5configwidgets-dev (>= 5.56.0~),
               libkf5i18n-dev (>= 5.56.0~),
               libkf5iconthemes-dev (>= 5.56.0~),
               libkf5itemviews-dev (>= 5.56.0~),
               libkf5service-dev (>= 5.56.0~),
               libkf5sonnet-dev (>= 5.56.0~),
               libkf5widgetsaddons-dev (>= 5.56.0~),
               libkf5windowsystem-dev (>= 5.56.0~),
               libqt5sql5-sqlite,
               libqt5texttospeech5-dev,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
               qttools5-dev-tools (>= 5.4),
               xauth,
               xvfb,
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/ktextwidgets
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktextwidgets
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktextwidgets

Package: libkf5textwidgets-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libkf5textwidgets5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa1)
Replaces: libkf5textwidgets5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa1)
Description: Advanced text editing widgets.
 An assortment of text-related widgets
 .
 This package contains the data files.

Package: libkf5textwidgets-dev
Architecture: any
Section: libdevel
Depends: libkf5completion-dev (>= 5.55.0~),
         libkf5configwidgets-dev (>= 5.55.0~),
         libkf5iconthemes-dev (>= 5.55.0~),
         libkf5service-dev (>= 5.55.0~),
         libkf5sonnet-dev (>= 5.55.0~),
         libkf5textwidgets5 (= ${binary:Version}),
         libkf5windowsystem-dev (>= 5.55.0~),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends},
Recommends: libkf5textwidgets-doc (= ${source:Version})
Description: development files for ktextwidgets
 An assortment of text-related widgets.
 .
 Contains development files for ktextwidgets.

Package: libkf5textwidgets-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Advanced text editing widgets (documentation)
 An assortment of text-related widgets
 .
 This package contains the qch documentation files.

Package: libkf5textwidgets5
Architecture: any
Multi-Arch: same
Depends: libkf5textwidgets-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Advanced text editing widgets.
 An assortment of text-related widgets

## ktextwidgets 5.62.0

=== debian/changelog ===
ktextwidgets (5.62.0-1) unstable; urgency=medium

  * Update reprotest args variable
  * New upstream release (5.62.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 20 Sep 2019 10:13:12 -0700

ktextwidgets (5.61.0-1) experimental; urgency=medium

  [ Scarlett Moore ]
  * Build-Depend on qttools5-dev to fix a cross build failure
    (see #915122 for more info) (Closes: 930239).

  [ Maximiliano Curia ]
  * Salsa CI automatic initialization by Tuco
  * New upstream release (5.61.0).
  * Update build-deps and deps with the info from cmake
  * Ignore reprotest build path variations
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 09 Sep 2019 21:10:57 +0100

=== debian/control ===
Source: ktextwidgets
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.62.0~),
               graphviz,
               libkf5completion-dev (>= 5.62.0~),
               libkf5config-dev (>= 5.62.0~),
               libkf5configwidgets-dev (>= 5.62.0~),
               libkf5i18n-dev (>= 5.62.0~),
               libkf5iconthemes-dev (>= 5.62.0~),
               libkf5itemviews-dev (>= 5.7.0),
               libkf5service-dev (>= 5.62.0~),
               libkf5sonnet-dev (>= 5.62.0~),
               libkf5widgetsaddons-dev (>= 5.62.0~),
               libkf5windowsystem-dev (>= 5.62.0~),
               libqt5sql5-sqlite,
               libqt5texttospeech5-dev,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.11.0~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
               xauth,
               xvfb,
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/ktextwidgets
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktextwidgets
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktextwidgets.git

Package: libkf5textwidgets-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libkf5textwidgets5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa1)
Replaces: libkf5textwidgets5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa1)
Description: Advanced text editing widgets.
 An assortment of text-related widgets
 .
 This package contains the data files.

Package: libkf5textwidgets-dev
Section: libdevel
Architecture: any
Depends: libkf5completion-dev (>= 5.62.0~),
         libkf5configwidgets-dev (>= 5.62.0~),
         libkf5iconthemes-dev (>= 5.62.0~),
         libkf5service-dev (>= 5.62.0~),
         libkf5sonnet-dev (>= 5.62.0~),
         libkf5textwidgets5 (= ${binary:Version}),
         libkf5windowsystem-dev (>= 5.62.0~),
         qtbase5-dev (>= 5.11.0~),
         ${misc:Depends},
Recommends: libkf5textwidgets-doc (= ${source:Version})
Description: development files for ktextwidgets
 An assortment of text-related widgets.
 .
 Contains development files for ktextwidgets.
Breaks: libkf5kdelibs4support-dev (<< 5.54),
        libkf5parts-dev (<< 5.54),
        libkf5xmlgui-dev (<< 5.54),

Package: libkf5textwidgets-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Advanced text editing widgets (documentation)
 An assortment of text-related widgets
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5textwidgets5
Architecture: any
Multi-Arch: same
Depends: libkf5textwidgets-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Advanced text editing widgets.
 An assortment of text-related widgets
Breaks: kdesignerplugin (<< 5.54),
        kio (<< 5.54),
        kross (<< 5.42),
        ktexteditor-katepart (<< 5.42),
        libkf5kdelibs4support5 (<< 5.54),
        libkf5kdelibs4support5-bin (<< 5.42),
        libkf5khtml-bin (<< 5.42),
        libkf5khtml5 (<< 5.54),
        libkf5krossui5 (<< 5.42),
        libkf5mediaplayer5 (<< 5.42),
        libkf5newstuff5 (<< 5.54),
        libkf5parts-plugins (<< 5.42),
        libkf5parts5 (<< 5.42),
        libkf5texteditor5 (<< 5.54),
        libkf5webkit5 (<< 5.42),
        libkf5xmlgui5 (<< 5.54),

## ktextwidgets 5.68.0

=== src/CMakeLists.txt ===
set(ktextwidgets_LIB_SRCS
  dialogs/klinkdialog.cpp
  findreplace/kfind.cpp
  findreplace/kfinddialog.cpp
  findreplace/kreplace.cpp
  findreplace/kreplacedialog.cpp
  widgets/krichtextedit.cpp
  widgets/krichtextwidget.cpp
  widgets/ktextedit.cpp
  widgets/nestedlisthelper.cpp
  widgets/kpluralhandlingspinbox.cpp
)

add_library(KF5TextWidgets ${ktextwidgets_LIB_SRCS})
add_library(KF5::TextWidgets ALIAS KF5TextWidgets)
ecm_generate_export_header(KF5TextWidgets
    BASE_NAME KTextWidgets
    GROUP_BASE_NAME KF
    VERSION ${KF5_VERSION}
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS 5.0 5.65
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

set(ktextwidgets_INCLUDES
  ${CMAKE_CURRENT_SOURCE_DIR}/dialogs
  ${CMAKE_CURRENT_SOURCE_DIR}/findreplace
  ${CMAKE_CURRENT_SOURCE_DIR}/kregexpeditor
  ${CMAKE_CURRENT_SOURCE_DIR}/widgets
)
target_include_directories(KF5TextWidgets PUBLIC "$<BUILD_INTERFACE:${ktextwidgets_INCLUDES}>"
)

target_include_directories(KF5TextWidgets INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/KTextWidgets>")

target_link_libraries(KF5TextWidgets
PUBLIC
  Qt5::Widgets
  KF5::SonnetUi
  KF5::I18n
PRIVATE
  KF5::SonnetCore
  KF5::ConfigWidgets
  KF5::Completion
)

if (Qt5TextToSpeech_FOUND)
    target_link_libraries(KF5TextWidgets
PRIVATE
        Qt5::TextToSpeech)
endif()


set_target_properties(KF5TextWidgets PROPERTIES VERSION ${KTEXTWIDGETS_VERSION_STRING}
                                                SOVERSION ${KTEXTWIDGETS_SOVERSION}
                                                EXPORT_NAME TextWidgets
)

ecm_generate_headers(KTextWidgets_HEADERS
  HEADER_NAMES
  KRichTextEdit
  KRichTextWidget
  KTextEdit
  KPluralHandlingSpinBox

  RELATIVE widgets
  REQUIRED_HEADERS KTextWidgets_HEADERS
)
ecm_generate_headers(KTextWidgets_HEADERS
  HEADER_NAMES
  KFind
  KFindDialog
  KReplace
  KReplaceDialog

  RELATIVE findreplace
  REQUIRED_HEADERS KTextWidgets_HEADERS
)

ecm_generate_headers(KTextWidgets_HEADERS
  HEADER_NAMES
  KRegExpEditorInterface

  RELATIVE kregexpeditor
  REQUIRED_HEADERS KTextWidgets_HEADERS
)

install(TARGETS KF5TextWidgets EXPORT KF5TextWidgetsTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/ktextwidgets_export.h
  ${KTextWidgets_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KTextWidgets COMPONENT Devel
)

if (BUILD_DESIGNERPLUGIN)
    add_subdirectory(designer)
endif()

if (BUILD_QCH)
    ecm_add_qch(
        KF5TextWidgets_QCH
        NAME KTextWidgets
        BASE_NAME KF5TextWidgets
        VERSION ${KF5_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${KTextWidgets_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
        LINK_QCHS
            Qt5Widgets_QCH
            KF5SonnetUi_QCH
            KF5I18n_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
            ${ktextwidgets_INCLUDES}
        BLANK_MACROS
            KTEXTWIDGETS_EXPORT
            KTEXTWIDGETS_DEPRECATED_EXPORT
            KTEXTWIDGETS_DEPRECATED
            "KTEXTWIDGETS_DEPRECATED_VERSION(x, y, t)"
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

include(ECMGeneratePriFile)
ecm_generate_pri_file(BASE_NAME KTextWidgets LIB_NAME KF5TextWidgets DEPS "widgets SonnetUi KI18n" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/KTextWidgets)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== debian/changelog ===
ktextwidgets (5.68.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.68.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 25 Mar 2020 20:59:27 +0000

ktextwidgets (5.67.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.67.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Feb 2020 09:52:12 +0000

ktextwidgets (5.66.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.66.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2020 13:21:02 +0000

ktextwidgets (5.65.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.65.0)
  * Update installed files

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Dec 2019 23:02:08 +0000

ktextwidgets (5.64.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.63.0)
  * New upstream release (5.64.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Nov 2019 21:26:17 +0000

ktextwidgets (5.62.0-0ubuntu1) eoan; urgency=medium

  * Build depend on qttools5-dev for Qt5UiPlugin.
  * Install Qt designer plugin in -dev package.
  * New upstream release (5.62.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 14 Sep 2019 08:08:42 +0100

ktextwidgets (5.61.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.61.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Aug 2019 10:44:23 +0100

ktextwidgets (5.60.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.60.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 20 Jul 2019 08:17:51 +0100

ktextwidgets (5.59.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.59.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 12 Jun 2019 11:20:59 +0100

ktextwidgets (5.58.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.58.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 13 May 2019 15:42:08 +0100

ktextwidgets (5.57.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.57.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 22 Apr 2019 08:39:43 +0100

=== debian/control ===
Source: ktextwidgets
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.68.0~),
               graphviz,
               libkf5completion-dev (>= 5.68.0~),
               libkf5config-dev (>= 5.68.0~),
               libkf5configwidgets-dev (>= 5.68.0~),
               libkf5i18n-dev (>= 5.68.0~),
               libkf5iconthemes-dev (>= 5.68.0~),
               libkf5itemviews-dev (>= 5.68.0~),
               libkf5service-dev (>= 5.68.0~),
               libkf5sonnet-dev (>= 5.68.0~),
               libkf5widgetsaddons-dev (>= 5.68.0~),
               libkf5windowsystem-dev (>= 5.68.0~),
               libqt5sql5-sqlite,
               libqt5texttospeech5-dev,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
               xauth,
               xvfb,
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/ktextwidgets
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktextwidgets
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktextwidgets

Package: libkf5textwidgets-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libkf5textwidgets5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa1)
Replaces: libkf5textwidgets5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa1)
Description: Advanced text editing widgets.
 An assortment of text-related widgets
 .
 This package contains the data files.

Package: libkf5textwidgets-dev
Architecture: any
Section: libdevel
Depends: libkf5completion-dev (>= 5.68.0~),
         libkf5configwidgets-dev (>= 5.68.0~),
         libkf5iconthemes-dev (>= 5.68.0~),
         libkf5service-dev (>= 5.68.0~),
         libkf5sonnet-dev (>= 5.68.0~),
         libkf5textwidgets5 (= ${binary:Version}),
         libkf5windowsystem-dev (>= 5.68.0~),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5textwidgets-doc (= ${source:Version})
Description: development files for ktextwidgets
 An assortment of text-related widgets.
 .
 Contains development files for ktextwidgets.

Package: libkf5textwidgets-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Advanced text editing widgets (documentation)
 An assortment of text-related widgets
 .
 This package contains the qch documentation files.

Package: libkf5textwidgets5
Architecture: any
Multi-Arch: same
Depends: libkf5textwidgets-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Advanced text editing widgets.
 An assortment of text-related widgets

## ktextwidgets 5.74.0

=== debian/changelog ===
ktextwidgets (5.74.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.74.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Sep 2020 11:00:53 +0100

ktextwidgets (5.73.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.73.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Aug 2020 11:00:10 +0100

ktextwidgets (5.72.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.72.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Jul 2020 20:34:45 +0100

ktextwidgets (5.71.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.71.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 14 Jun 2020 12:08:17 +0100

ktextwidgets (5.70.0-1ubuntu1) groovy; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - debhelper-compat = 12 for backports.

 -- Rik Mills <rikmills@kde.org>  Sun, 07 Jun 2020 15:49:49 +0100

ktextwidgets (5.70.0-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 13.
  * New upstream release (5.70.0).
  * Update build-deps and deps with the info from cmake.
  * Wrap long lines in changelog entries: 5.22.0-1.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Remove not needed Build-Depends.
  * Ship designer plugin in libkf5textwidgets-dev.
  * Update symbols from build for 5.70.0.

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 May 2020 23:57:20 +0200

ktextwidgets (5.70.0-0ubuntu1) groovy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.69.0)

  [ Rik Mills ]
  * New upstream release (5.70.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 09 May 2020 12:33:57 +0100

ktextwidgets (5.69.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 12.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Get rid of debug-symbol-migration package.
  * Add Rules-Requires-Root field to control.
  * New upstream release (5.69.0).
  * Update build-deps and deps with the info from cmake.
  * Add Build-Depends-Package to symbols file.
  * Enable hardening all.
  * Remove missing file from libkf5textwidgets-data.
  * Remove COPYING.LIB listed in copyright file.
  * Remove not needed injection of linker flags.

 -- Sandro Knauß <hefee@debian.org>  Thu, 30 Apr 2020 17:56:21 +0200

=== debian/control ===
Source: ktextwidgets
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 12),
               doxygen,
               extra-cmake-modules (>= 5.74.0~),
               graphviz,
               libkf5completion-dev (>= 5.74.0~),
               libkf5config-dev (>= 5.74.0~),
               libkf5configwidgets-dev (>= 5.74.0~),
               libkf5i18n-dev (>= 5.74.0~),
               libkf5sonnet-dev (>= 5.74.0~),
               libkf5widgetsaddons-dev (>= 5.74.0~),
               libqt5sql5-sqlite,
               libqt5texttospeech5-dev,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.12.0~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
               xauth,
               xvfb,
Standards-Version: 4.5.0
Homepage: https://projects.kde.org/projects/frameworks/ktextwidgets
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktextwidgets
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktextwidgets
Rules-Requires-Root: no

Package: libkf5textwidgets-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libkf5textwidgets5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa1)
Replaces: libkf5textwidgets5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa1)
Description: Advanced text editing widgets.
 An assortment of text-related widgets
 .
 This package contains the data files.

Package: libkf5textwidgets-dev
Section: libdevel
Architecture: any
Depends: libkf5completion-dev (>= 5.74.0~),
         libkf5configwidgets-dev (>= 5.74.0~),
         libkf5sonnet-dev (>= 5.74.0~),
         libkf5textwidgets5 (= ${binary:Version}),
         qtbase5-dev (>= 5.12.0~),
         ${misc:Depends},
Recommends: libkf5textwidgets-doc (= ${source:Version})
Description: development files for ktextwidgets
 An assortment of text-related widgets.
 .
 Contains development files for ktextwidgets.

Package: libkf5textwidgets-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Advanced text editing widgets (documentation)
 An assortment of text-related widgets
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5textwidgets5
Architecture: any
Multi-Arch: same
Depends: libkf5textwidgets-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Advanced text editing widgets.
 An assortment of text-related widgets

## ktextwidgets 5.78.0

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -18,7 +18,7 @@
     GROUP_BASE_NAME KF
     VERSION ${KF5_VERSION}
     DEPRECATED_BASE_VERSION 0
-    DEPRECATION_VERSIONS 5.0 5.65
+    DEPRECATION_VERSIONS 5.0 5.65 5.70 5.71
     EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
 )
 
@@ -120,6 +120,7 @@
             KTEXTWIDGETS_DEPRECATED_EXPORT
             KTEXTWIDGETS_DEPRECATED
             "KTEXTWIDGETS_DEPRECATED_VERSION(x, y, t)"
+            "KTEXTWIDGETS_DEPRECATED_VERSION_BELATED(x, y, xt, yt, t)"
         TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
         QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
         COMPONENT Devel

=== debian/changelog ===
ktextwidgets (5.78.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sun, 17 Jan 2021 12:02:25 +0900

ktextwidgets (5.78.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.78.0).
  * Update build-deps and deps with the info from cmake.

 -- Norbert Preining <norbert@preining.info>  Wed, 13 Jan 2021 10:32:43 +0900

ktextwidgets (5.77.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 10:33:36 +0900

ktextwidgets (5.77.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * New upstream release (5.77.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Update maintainer to Debian Qt/KDE Maintainers.

 -- Norbert Preining <norbert@preining.info>  Fri, 18 Dec 2020 10:03:55 +0900

ktextwidgets (5.74.0-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Mon, 19 Oct 2020 23:17:31 +0200

ktextwidgets (5.74.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (5.74.0).
  * Update build-deps and deps with the info from cmake.
  * Update Homepage link to point to new invent.kde.org
  * Update repository related entries to metadata file.
  * Update field Source in debian/copyright to invent.kde.org move.
  * Add Bug-* entries to metadata file.
  * Add shlibs:Depends to Depends of libkf5textwidgets-dev.

 -- Sandro Knauß <hefee@debian.org>  Sun, 27 Sep 2020 17:46:03 +0200

=== debian/control ===
Source: ktextwidgets
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.78.0~),
               graphviz,
               libkf5completion-dev (>= 5.78.0~),
               libkf5config-dev (>= 5.78.0~),
               libkf5configwidgets-dev (>= 5.78.0~),
               libkf5i18n-dev (>= 5.78.0~),
               libkf5sonnet-dev (>= 5.78.0~),
               libkf5widgetsaddons-dev (>= 5.78.0~),
               libqt5sql5-sqlite,
               libqt5texttospeech5-dev,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.14.0~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
               xauth,
               xvfb
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/frameworks/ktextwidgets
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktextwidgets
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktextwidgets.git
Rules-Requires-Root: no

Package: libkf5textwidgets-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libkf5textwidgets5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa1)
Replaces: libkf5textwidgets5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa1)
Description: Advanced text editing widgets.
 An assortment of text-related widgets
 .
 This package contains the data files.

Package: libkf5textwidgets-dev
Section: libdevel
Architecture: any
Depends: libkf5completion-dev (>= 5.78.0~),
         libkf5configwidgets-dev (>= 5.78.0~),
         libkf5sonnet-dev (>= 5.78.0~),
         libkf5textwidgets5 (= ${binary:Version}),
         qtbase5-dev (>= 5.14.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5textwidgets-doc (= ${source:Version})
Description: development files for ktextwidgets
 An assortment of text-related widgets.
 .
 Contains development files for ktextwidgets.
Breaks: libkf5kdelibs4support-dev (<< 5.54),
        libkf5parts-dev (<< 5.54),
        libkf5xmlgui-dev (<< 5.54)

Package: libkf5textwidgets-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Advanced text editing widgets (documentation)
 An assortment of text-related widgets
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5textwidgets5
Architecture: any
Multi-Arch: same
Depends: libkf5textwidgets-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Advanced text editing widgets.
 An assortment of text-related widgets
Breaks: kdesignerplugin (<< 5.54),
        kio (<< 5.54),
        kross (<< 5.42),
        ktexteditor-katepart (<< 5.42),
        libkf5kdelibs4support5 (<< 5.54),
        libkf5kdelibs4support5-bin (<< 5.42),
        libkf5khtml-bin (<< 5.42),
        libkf5khtml5 (<< 5.54),
        libkf5krossui5 (<< 5.42),
        libkf5mediaplayer5 (<< 5.42),
        libkf5newstuff5 (<< 5.54),
        libkf5parts-plugins (<< 5.42),
        libkf5parts5 (<< 5.42),
        libkf5texteditor5 (<< 5.54),
        libkf5webkit5 (<< 5.42),
        libkf5xmlgui5 (<< 5.54)

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/([\d.]+)/ktextwidgets-([\d.]+)\.tar\.xz

## ktextwidgets 5.80.0

=== debian/changelog ===
ktextwidgets (5.80.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.80.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 18 Mar 2021 11:09:35 +0000

ktextwidgets (5.79.0-0ubuntu1) hirsute; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.79.0)

  [ José Manuel Santamaría Lema ]
  * Update symbols

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Feb 2021 12:23:44 +0000

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,14 @@
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.78.0~),
+               extra-cmake-modules (>= 5.80.0~),
                graphviz,
-               libkf5completion-dev (>= 5.78.0~),
-               libkf5config-dev (>= 5.78.0~),
-               libkf5configwidgets-dev (>= 5.78.0~),
-               libkf5i18n-dev (>= 5.78.0~),
-               libkf5sonnet-dev (>= 5.78.0~),
-               libkf5widgetsaddons-dev (>= 5.78.0~),
+               libkf5completion-dev (>= 5.80.0~),
+               libkf5config-dev (>= 5.80.0~),
+               libkf5configwidgets-dev (>= 5.80.0~),
+               libkf5i18n-dev (>= 5.80.0~),
+               libkf5sonnet-dev (>= 5.80.0~),
+               libkf5widgetsaddons-dev (>= 5.80.0~),
                libqt5sql5-sqlite,
                libqt5texttospeech5-dev,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
@@ -22,7 +22,7 @@
                qttools5-dev,
                qttools5-dev-tools (>= 5.4),
                xauth,
-               xvfb
+               xvfb,
 Standards-Version: 4.5.1
 Homepage: https://invent.kde.org/frameworks/ktextwidgets
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktextwidgets
@@ -43,13 +43,13 @@
 Package: libkf5textwidgets-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5completion-dev (>= 5.78.0~),
-         libkf5configwidgets-dev (>= 5.78.0~),
-         libkf5sonnet-dev (>= 5.78.0~),
+Depends: libkf5completion-dev (>= 5.80.0~),
+         libkf5configwidgets-dev (>= 5.80.0~),
+         libkf5sonnet-dev (>= 5.80.0~),
          libkf5textwidgets5 (= ${binary:Version}),
          qtbase5-dev (>= 5.14.0~),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Recommends: libkf5textwidgets-doc (= ${source:Version})
 Description: development files for ktextwidgets
  An assortment of text-related widgets.

## ktextwidgets 5.86.0

=== debian/changelog ===
ktextwidgets (5.86.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.86.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Sep 2021 12:49:38 +0100

ktextwidgets (5.85.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.85.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Aug 2021 11:29:08 +0100

ktextwidgets (5.84.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.84.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 11 Jul 2021 09:01:56 +0100

ktextwidgets (5.83.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.83.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jun 2021 12:19:01 +0100

ktextwidgets (5.82.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.82.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 08 May 2021 11:58:41 +0100

ktextwidgets (5.81.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.81.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Wed, 28 Apr 2021 10:31:07 +0100

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,14 @@
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.80.0~),
+               extra-cmake-modules (>= 5.86.0~),
                graphviz,
-               libkf5completion-dev (>= 5.80.0~),
-               libkf5config-dev (>= 5.80.0~),
-               libkf5configwidgets-dev (>= 5.80.0~),
-               libkf5i18n-dev (>= 5.80.0~),
-               libkf5sonnet-dev (>= 5.80.0~),
-               libkf5widgetsaddons-dev (>= 5.80.0~),
+               libkf5completion-dev (>= 5.86.0~),
+               libkf5config-dev (>= 5.86.0~),
+               libkf5configwidgets-dev (>= 5.86.0~),
+               libkf5i18n-dev (>= 5.86.0~),
+               libkf5sonnet-dev (>= 5.86.0~),
+               libkf5widgetsaddons-dev (>= 5.86.0~),
                libqt5sql5-sqlite,
                libqt5texttospeech5-dev,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
@@ -43,9 +43,9 @@
 Package: libkf5textwidgets-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5completion-dev (>= 5.80.0~),
-         libkf5configwidgets-dev (>= 5.80.0~),
-         libkf5sonnet-dev (>= 5.80.0~),
+Depends: libkf5completion-dev (>= 5.86.0~),
+         libkf5configwidgets-dev (>= 5.86.0~),
+         libkf5sonnet-dev (>= 5.86.0~),
          libkf5textwidgets5 (= ${binary:Version}),
          qtbase5-dev (>= 5.14.0~),
          ${misc:Depends},
